require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module Fairpay2
    module BusinessCase

      # DTO for searching Client Account Business Case by client account number.
      class ClientAccountBusinessCaseAccountNumber < UU::OS::REST::DTO

        # Account number of searched client account business case.
        # Required attribute, cannot be null or longer than 4000 characters.
        # @param [String]
        # @return [String]
        attr_accessor :client_account_number


        def client_account_number
          attributes[:clientAccountNumber]
        end

        def client_account_number=(val)
          attributes[:clientAccountNumber] = val
        end

      end
    end
  end
end

